package cn.com.tenlion.systembase.pojo.dtos.stuteasafe;

import ink.wgink.annotation.CheckNumberAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: StuTeaSafeDTO
 * @Description: 涉及师生安全的案（事）件
 * @Author: CodeFactory
 * @Date: 2021-10-13 11:08:57
 * @Version: 3.0
 **/
@ApiModel
public class StuTeaSafeDTO {

    @ApiModelProperty(name = "stuTeaSafeId", value = "主键UUID")
    private String stuTeaSafeId;
    @ApiModelProperty(name = "schoolId", value = "学校ID")
    private String schoolId;
    @ApiModelProperty(name = "caseCode", value = "案（事）件编号")
    private String caseCode;
    @ApiModelProperty(name = "caseName", value = "案（事）件名称")
    private String caseName;
    @ApiModelProperty(name = "happenTime", value = "发生日期")
    private String happenTime;
    @ApiModelProperty(name = "happenLocation", value = "发案地字典表ID")
    private String happenLocation;
    @ApiModelProperty(name = "happenLocationName", value = "发案地名称")
    private String happenLocationName;
    @ApiModelProperty(name = "happenLocationCode", value = "发案地编码")
    private String happenLocationCode;
    @ApiModelProperty(name = "happenAddress", value = "发生地点")
    private String happenAddress;
    @ApiModelProperty(name = "caseNature", value = "案（事）件性质字典表ID")
    private String caseNature;
    @ApiModelProperty(name = "caseNatureName", value = "案（事）件性质名称")
    private String caseNatureName;
    @ApiModelProperty(name = "caseNatureCode", value = "案（事）件性质编码")
    private String caseNatureCode;
    @ApiModelProperty(name = "caseSituation", value = "案件情况")
    private String caseSituation;
    @ApiModelProperty(name = "principalCardCode", value = "主犯（嫌疑人）证件代码字典表ID")
    private String principalCardCode;
    @ApiModelProperty(name = "principalCardCodeName", value = "主犯（嫌疑人）证件代码名称")
    private String principalCardCodeName;
    @ApiModelProperty(name = "principalCardCodeCode", value = "主犯（嫌疑人）证件代码编码")
    private String principalCardCodeCode;
    @ApiModelProperty(name = "principalCardNum", value = "主犯（嫌疑人）证件号码")
    private String principalCardNum;
    @ApiModelProperty(name = "principalName", value = "主犯（嫌疑人）姓名")
    private String principalName;
    @ApiModelProperty(name = "isSolve", value = "是否破案")
    private Integer isSolve;
    @ApiModelProperty(name = "crimeCount", value = "作案人数")
    private Integer crimeCount;
    @ApiModelProperty(name = "atLargeCount", value = "在逃人数")
    private Integer atLargeCount;
    @ApiModelProperty(name = "arrestCount", value = "抓捕人数")
    private Integer arrestCount;
    @ApiModelProperty(name = "caseSolve", value = "案件侦破情况")
    private String caseSolve;
    @ApiModelProperty(name = "grid", value = "所属网格")
    private String grid;
    @ApiModelProperty(name = "gridName", value = "所属网格")
    private String gridName;
    @ApiModelProperty(name = "longitude", value = "经度")
    private String longitude;
    @ApiModelProperty(name = "latitude", value = "纬度")
    private String latitude;

    public String getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(String schoolId) {
        this.schoolId = schoolId;
    }

    public String getStuTeaSafeId() {
        return stuTeaSafeId == null ? "" : stuTeaSafeId.trim();
    }

    public void setStuTeaSafeId(String stuTeaSafeId) {
        this.stuTeaSafeId = stuTeaSafeId;
    }

    public String getCaseCode() {
        return caseCode == null ? "" : caseCode.trim();
    }

    public void setCaseCode(String caseCode) {
        this.caseCode = caseCode;
    }

    public String getCaseName() {
        return caseName == null ? "" : caseName.trim();
    }

    public void setCaseName(String caseName) {
        this.caseName = caseName;
    }

    public String getHappenTime() {
        return happenTime == null ? "" : happenTime.trim();
    }

    public void setHappenTime(String happenTime) {
        this.happenTime = happenTime;
    }

    public String getHappenLocation() {
        return happenLocation == null ? "" : happenLocation.trim();
    }

    public void setHappenLocation(String happenLocation) {
        this.happenLocation = happenLocation;
    }

    public String getHappenLocationName() {
        return happenLocationName == null ? "" : happenLocationName.trim();
    }

    public void setHappenLocationName(String happenLocationName) {
        this.happenLocationName = happenLocationName;
    }

    public String getHappenLocationCode() {
        return happenLocationCode == null ? "" : happenLocationCode.trim();
    }

    public void setHappenLocationCode(String happenLocationCode) {
        this.happenLocationCode = happenLocationCode;
    }

    public String getHappenAddress() {
        return happenAddress == null ? "" : happenAddress.trim();
    }

    public void setHappenAddress(String happenAddress) {
        this.happenAddress = happenAddress;
    }

    public String getCaseNature() {
        return caseNature == null ? "" : caseNature.trim();
    }

    public void setCaseNature(String caseNature) {
        this.caseNature = caseNature;
    }

    public String getCaseNatureName() {
        return caseNatureName == null ? "" : caseNatureName.trim();
    }

    public void setCaseNatureName(String caseNatureName) {
        this.caseNatureName = caseNatureName;
    }

    public String getCaseNatureCode() {
        return caseNatureCode == null ? "" : caseNatureCode.trim();
    }

    public void setCaseNatureCode(String caseNatureCode) {
        this.caseNatureCode = caseNatureCode;
    }

    public String getCaseSituation() {
        return caseSituation == null ? "" : caseSituation.trim();
    }

    public void setCaseSituation(String caseSituation) {
        this.caseSituation = caseSituation;
    }

    public String getPrincipalCardCode() {
        return principalCardCode == null ? "" : principalCardCode.trim();
    }

    public void setPrincipalCardCode(String principalCardCode) {
        this.principalCardCode = principalCardCode;
    }

    public String getPrincipalCardCodeName() {
        return principalCardCodeName == null ? "" : principalCardCodeName.trim();
    }

    public void setPrincipalCardCodeName(String principalCardCodeName) {
        this.principalCardCodeName = principalCardCodeName;
    }

    public String getPrincipalCardCodeCode() {
        return principalCardCodeCode == null ? "" : principalCardCodeCode.trim();
    }

    public void setPrincipalCardCodeCode(String principalCardCodeCode) {
        this.principalCardCodeCode = principalCardCodeCode;
    }

    public String getPrincipalCardNum() {
        return principalCardNum == null ? "" : principalCardNum.trim();
    }

    public void setPrincipalCardNum(String principalCardNum) {
        this.principalCardNum = principalCardNum;
    }

    public String getPrincipalName() {
        return principalName == null ? "" : principalName.trim();
    }

    public void setPrincipalName(String principalName) {
        this.principalName = principalName;
    }

    public Integer getIsSolve() {
        return isSolve == null ? 0 : isSolve;
    }

    public void setIsSolve(Integer isSolve) {
        this.isSolve = isSolve;
    }

    public Integer getCrimeCount() {
        return crimeCount == null ? 0 : crimeCount;
    }

    public void setCrimeCount(Integer crimeCount) {
        this.crimeCount = crimeCount;
    }

    public Integer getAtLargeCount() {
        return atLargeCount == null ? 0 : atLargeCount;
    }

    public void setAtLargeCount(Integer atLargeCount) {
        this.atLargeCount = atLargeCount;
    }

    public Integer getArrestCount() {
        return arrestCount == null ? 0 : arrestCount;
    }

    public void setArrestCount(Integer arrestCount) {
        this.arrestCount = arrestCount;
    }

    public String getCaseSolve() {
        return caseSolve == null ? "" : caseSolve.trim();
    }

    public void setCaseSolve(String caseSolve) {
        this.caseSolve = caseSolve;
    }

    public String getGrid() {
        return grid;
    }

    public void setGrid(String grid) {
        this.grid = grid;
    }

    public String getGridName() {
        return gridName;
    }

    public void setGridName(String gridName) {
        this.gridName = gridName;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }
}
